Bug 1740605 - Kernel oops on BeagleBone Black
Summary: Kernel oops on BeagleBone Black
Keywords:
Status: POST
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 30
Hardware: armv7hl
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2019-08-13 11:01 UTC by imgx64+bzrh
Modified: 2019-10-13 17:42 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
boot log (15.90 KB, text/plain)
2019-08-13 11:01 UTC, imgx64+bzrh
no flags Details

Description imgx64+bzrh 2019-08-13 11:01:08 UTC
Created attachment 1603264 [details]
boot log

1. Please describe the problem:
After upgrading from kernel kernel-5.1.20-300.fc30.armv7hl to kernel-5.2.7-200.fc30.armv7hl on a BeagleBone Black ( https://beagleboard.org/black/ ), I started getting kernel oops that starts with:

[   40.332718] Unable to handle kernel NULL pointer dereference at virtual address 0000001b
[   40.340986] pgd = 8a643b40
[   40.343793] [0000001b] *pgd=00000000
[   40.347443] Internal error: Oops: 5 [#1] SMP ARM

The full log (retrieved using serial console) is attached.

2. What is the Version-Release number of the kernel:
5.2.7-200.fc30.armv7hl

3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :
Yes, it worked previously.
The problem does not occur with 5.1.20-300.fc30.armv7hl.
The problem first occurs with 5.2.1-200.fc30.armv7hl.

4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:
Yes, the issue happens on every boot.

5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``:
Yes. The problem also occurs with 5.3.0-0.rc3.git1.1.fc31.armv7hl.

6. Are you running any modules that not shipped with directly Fedora's kernel?:
No.

7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.
The system does not boot with the affected kernel, so the only log available is the boot log (attached).

Comment 1 imgx64+bzrh 2019-08-27 17:33:16 UTC
More testing:
5.1.20-300.fc30.armv7hl: working
5.2.0-0.rc0.git6.1.fc31.armv7hl - 5.2.0-0.rc2.git1.1.fc31.armv7hl: freezes at boot, no output on serial console
5.2.0-0.rc2.git1.2.fc31.armv7hl: crashes with a different error
5.2.0-0.rc3.git0.1.fc31.armv7hl and beyond: crashes with this issue

Comment 2 imgx64+bzrh 2019-09-23 14:06:01 UTC
Seems to be fixed in the latest Rawhide kernel (5.4.0-0.rc0.git4.1.fc32.armv7hl), but still broken in the latest F30 kernel (5.2.15-200.fc30.armv7hl).

I've git-bisected this issue down to commit c4741b23059794bd99beef0f700103b0d983b3fd[1]. According to the commit message, kernel crashes are a known side-effect...

> Note that on arm, a side effect of this change is that self-tests for
> generic implementations may run before the unaligned access handler has
> been installed.  So, unaligned accesses will crash the kernel.  This is
> arguably a good thing as it makes it easier to detect that type of bug.

[1] https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?h=c4741b23059794bd99beef0f700103b0d983b3fd

Comment 3 Peter Robinson 2019-10-13 17:42:24 UTC
So this should be resolved in the 5.3.6 kernel that will be built tomorrow.


Note You need to log in before you can comment on or make changes to this bug.